Uploaded image for project: 'Bigtop'
  1. Bigtop
  2. BIGTOP-3051

Can't install Oozie using Puppet on Ubuntu

    Details

    • Type: Bug
    • Status: Open
    • Priority: Critical
    • Resolution: Unresolved
    • Affects Version/s: 1.2.0
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      I can't find the answer anywhere else so here we go:

      When I install Oozie server from the Puppet manifests it tries to install Oozie and Oozie client, they have a few clashing files in each:

      2018-07-05 15:55:07 DEBUG hadoop-relation-changed Unpacking oozie (4.3.0-1) ...
      2018-07-05 15:55:07 DEBUG hadoop-relation-changed dpkg: error processing archive /var/cache/apt/archives/oozie_4.3.0-1_all.deb (--unpack):
      2018-07-05 15:55:07 DEBUG hadoop-relation-changed  trying to overwrite '/usr/lib/oozie/lib/api-asn1-api-1.0.0-M20.jar', which is also in package oozie-client 4.3.0-1
      2018-07-05 15:55:07 DEBUG hadoop-relation-changed dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

       

      So, without doing anything too drastic, is there a way to get this to install without humans doing a dpkg -i  ---force which you see on various stackoverflow conversations etc?

       

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              bugg_tb Tom Barber
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: